# Copyright (c) 2004 Anton Kozyr. All rights reserved.
# See also LICENSE.txt

class Generator:
    """Implementation of an object which is configurable both
    manually and programmatically and can be called like a script returning
    the configured value.
    """
    
    __extends__ = ('OFS.SimpleItem.SimpleItem',)
    
    def value(self):
        """Returns the value stored by this Generator Object."""

    def set(self, value):
        """Sets the value to be stored by this Generator Object."""

    def inc(self):
        """Increments the value to be stored by this Generator Object."""

    def set_comment(self, comment):
        """Sets the comment explaining the property managed by this Generator Object."""

    def comment(self):
        """Returns the comment explaining the property managed by this Generator Object."""

    def __call__(self, *args, **kw):
        """Call the Generator. The same as increment."""

    def manage_edit(self, REQUEST, redisplay=1):
        """Manage method to update title, comment and the value stored by this Generator Object."""

    def manage_increment(self, REQUEST, redisplay=1):
        """Manage method to update title, comment and the value stored by this Generator Object."""
